<div class="row">
  <div class="column">
    <select [(ngModel)]="currentLanguageId" (click)="onLanguageChange($event)">
      <option *ngFor="let i of modes" [value]="i.id">{{i.name}}</option>
    </select>

  </div>
  <div class="column">
    <button (click)="generateToken()">Compile</button>
  </div>
</div>
<ngs-code-editor [theme]="theme" [codeModel]="codeModel" [options]="options" (valueChanged)="onCodeChanged($event)"
  style="height:70vh;">
</ngs-code-editor>


<br>


<div class="row">
  <div class="column">
    <h2>Std Input</h2>
    <ngs-code-editor [theme]="theme" [options]="options" [codeModel]="inputModel" style="height:15vh;">
    </ngs-code-editor>
  </div>
  <div class="column">
    <h2>Std Output / Errors</h2>
    <ngs-code-editor [theme]="theme" [options]="options" [codeModel]="outputModel"
      (valueChanged)="onCodeChanged($event)" style="height:15vh;">
    </ngs-code-editor>

  </div>
</div>